XtGetActionKeysym(3Xt)

NAME
XtGetActionKeysym - obtain corresponding keysym

SYNTAX

KeySym XtGetActionKeysym(XEvent* event, Modifiers* modifiers_return);

ARGUMENTS

event
    Specifies the event pointer passed to the action procedure by the Intrinsics.

modifiers_return
    Returns the modifiers that caused the match, if non-NULL.

DESCRIPTION
If is called after an action procedure has been invoked by the Intrinsics and before that action procedure returns, and if the event pointer has the same value as the event pointer passed to that action routine, and if the event is a or event, then returns the KeySym that matched the final event specification in the translation table and, if /fImodifiers_return/fP is non-NULL, the modifier state actually used to generate this KeySym; otherwise, if the event is a or event, then calls and returns the results; else it returns and does not examine modifiers_return.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface